#ifndef GEN_EVENT_H
#define GEN_EVENT_H
#include <TObject.h>

namespace GEN {
class Track;
class Hit;

class Event : public TObject {
public:
  Event() : fEventNo(0), fTrPtr(nullptr), fHitPtr(nullptr) {} 

  inline void   SetEventNo  (int    nev) { fEventNo = nev; }
  inline void   SetTrackPtr (Track *trp) { fTrPtr   = trp; }
  inline void   SetHitPtr   (Hit   *hp ) { fHitPtr  = hp;  }

  inline int    GetEventNo  () const { return fEventNo; }
  inline Track *GetTrackPtr () const { return fTrPtr;   }
  inline Hit   *GetHitPtr   () const { return fHitPtr;  }

private:
         int     fEventNo; // Event No.
         Track  *fTrPtr;   // Pointor to Track Object
         Hit    *fHitPtr;  // Pointor to Hit Object

  ClassDef(Event, 1) // event class
};
}
#endif
