// Usage:
//    root -l
//    [0] .L PlotPhyDep.C
//    [1] PlotPhyDep("sgx.dat")->Draw("apc");
//

double Fun(const double *xv, const double *pv)
{
  double sg2 = pv[0]*pv[0] + (pv[2]*pv[2]/(12.*pv[1]/cos(xv[0]))) *tan(xv[0])*tan(xv[0]);
  return sqrt(sg2);
}

TGraphErrors *PlotPhiDep(const char *fname = "sgx.dlen025.dat")
{
  const double kPi = acos(-1.);

  ifstream infile(fname);

  const int kNp = 100;
  double dlen, phi, theta, sgx, dsgx, Nav, Neff, Neffg, Nheff, Nheffg, L;
  double  x[kNp], dx[kNp], y[kNp], dy[kNp], z[kNp];
  int np = 0;
  while ((infile >> dlen >> phi >> theta >> sgx >> dsgx >> Nav >> Neff
                 >> Neffg >> Nheff >> Nheffg >> L)) {
    phi   *= kPi/180.;
    x [np] = phi;
    dx[np] = 0.;
    y [np] = sgx;
    dy[np] = dsgx;
    z [np] = Nheffg;
#if 0
    cerr << x[np] << " " << y[np] << " +/- " << dy[np] << endl;
#endif
    np++;
  }
  TGraphErrors *grp = new TGraphErrors(np,x,y,dx,dy);

  TF1 *funp = new TF1("fun",&Fun,-5.,5.,3);
  funp->SetParameter(0,0.1);
  funp->SetParameter(1,5.);
  funp->FixParameter(2,L);
  //grp->Fit(funp,"Q","",-40,40);
  grp->Fit(funp,"","",-40,40);

  cerr << fname << endl
       << " Nheff(G) = " << z[3] 
       << " Nheff(F) = " << funp->GetParameter(1) 
       << " +/- "        << funp->GetParError (1)
       << endl;

  return grp;
}
